Last Comment Bug 720396 - [jsdbg2] Assertion failure: isObjectOrNull(), at js/src/jsapi.h:547
: [jsdbg2] Assertion failure: isObjectOrNull(), at js/src/jsapi.h:547
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: mozilla16
Assigned To: Tom Schuster [:evilpie]
:
Mentors:
Depends on:
Blocks: langfuzz
  Show dependency treegraph
 
Reported: 2012-01-23 09:45 PST by Christian Holler (:decoder)
Modified: 2013-01-19 14:09 PST (History)
4 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (3.14 KB, patch)
2012-06-17 03:25 PDT, Tom Schuster [:evilpie]
jorendorff: review+
Details | Diff | Review

Description Christian Holler (:decoder) 2012-01-23 09:45:47 PST
The following test asserts on mozilla-central 1962ca549264 (options -m -n):


var g = newGlobal('new-compartment');
var dbg1 = new Debugger;
var gw1 = dbg1.addDebuggee(g);
var dbg2 = new Debugger;
var gw2 = dbg2.addDebuggee((gw1.__proto__));
Comment 1 Tom Schuster [:evilpie] 2012-06-17 03:25:47 PDT
Created attachment 633882 [details] [diff] [review]
fix
Comment 2 Jason Orendorff [:jorendorff] 2012-06-18 08:15:15 PDT
Comment on attachment 633882 [details] [diff] [review]
fix

Great. Thanks.
Comment 4 Ed Morley [:emorley] 2012-06-20 02:22:02 PDT
https://hg.mozilla.org/mozilla-central/rev/d08e07ea1888
Comment 5 Christian Holler (:decoder) 2013-01-19 14:09:49 PST
Automatically extracted testcase for this bug was committed:

https://hg.mozilla.org/mozilla-central/rev/efaf8960a929

Note You need to log in before you can comment on or make changes to this bug.